<?php
/**************************************************************************************
* BCC Messages																		  *
* Version 1.2				                                                          *
***************************************************************************************
* By: SoLoGHoST																		  *
* http://www.graphicsmayhem.com                                                       *
* Copyright 2010 Solomon Closson													  *
* =================================================================================== *
* License Information:																  *
* 	- ABOVE INFO MUST REMAIN INTACT!												  *
*	- You are not allowed to redistribute any modifications to this mod.			  *
*	- You are FREE to redistribute this package "AS IS" ONLY						  *
*		granted all of the information for this mod stays INTACT!					  *
* =================================================================================== *
* BCCMessagesInstall.php								                              *
**************************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined...
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
  require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

if((SMF == 'SSI') && !$user_info['is_admin']) 
    die('Admin priveleges required.');

// column to add in personal_messages table
$columns_personal_messages = array();
$columns_personal_messages[] = array(
	'table' => '{db_prefix}personal_messages',
	'info' => array(
		'name' => 'bcc_body',
		'type' => 'text',
		'null' => false,
	),
);

db_extend('packages');

if (!empty($columns_personal_messages))
	foreach ($columns_personal_messages as $column)
		$smcFunc['db_add_column']($column['table'], $column['info'], array(), 'ignore');

?>